Page MenuHomePhabricator

rust-status: use bare hg status fastpath from Python
ClosedPublic

Authored by Alphare on Jan 17 2020, 11:53 AM.

Details

Summary

This change also adds a test case for subrepos.
Repeating the benchmark information from the hg-core commit:

On the Netbeans repository:
C: 840ms
Rust+C: 556ms

Mozilla Central with the one pattern that causes a fallback removed:
C: 2.315s
Rust+C: 1.700s

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Jan 17 2020, 11:53 AM
marmoute requested changes to this revision.Jan 23 2020, 1:48 PM
marmoute added a subscriber: marmoute.

hooo, I am a bot

This revision now requires changes to proceed.Jan 23 2020, 1:48 PM
marmoute resigned from this revision.Jan 23 2020, 1:49 PM
This revision now requires review to proceed.Jan 23 2020, 1:49 PM
Alphare updated this revision to Diff 19949.Feb 6 2020, 10:16 AM
Alphare updated this revision to Diff 20041.Feb 10 2020, 10:47 AM
Alphare updated this revision to Diff 20159.Feb 11 2020, 5:55 AM
Alphare updated this revision to Diff 20167.Feb 11 2020, 9:20 AM
Alphare updated this revision to Diff 20559.Mar 6 2020, 11:31 AM
Alphare updated this revision to Diff 20706.Mar 11 2020, 11:51 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.